[arch-commits] Commit in python-pygments/repos/community-any (4 files)

Evangelos Foutras foutrelis at archlinux.org
Tue May 28 07:15:22 UTC 2019


    Date: Tuesday, May 28, 2019 @ 07:15:21
  Author: foutrelis
Revision: 472229

archrelease: copy trunk to community-any

Added:
  python-pygments/repos/community-any/PKGBUILD
    (from rev 472228, python-pygments/trunk/PKGBUILD)
  python-pygments/repos/community-any/python2-pygments.install
    (from rev 472228, python-pygments/trunk/python2-pygments.install)
Deleted:
  python-pygments/repos/community-any/PKGBUILD
  python-pygments/repos/community-any/python2-pygments.install

--------------------------+
 PKGBUILD                 |  124 ++++++++++++++++++++++-----------------------
 python2-pygments.install |   14 ++---
 2 files changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-28 07:15:14 UTC (rev 472228)
+++ PKGBUILD	2019-05-28 07:15:21 UTC (rev 472229)
@@ -1,62 +0,0 @@
-# Maintainer: Evangelos Foutras <evangelos at foutrelis.com>
-# Contributor: Timm Preetz <timm at preetz.us>
-
-pkgname=('python-pygments' 'python2-pygments' 'pygmentize')
-pkgver=2.4.1
-pkgrel=1
-pkgdesc="Python syntax highlighter"
-arch=('any')
-url="http://pygments.org/"
-license=('BSD')
-makedepends=('python-setuptools' 'python2-setuptools')
-options=('!emptydirs')
-source=(https://pypi.org/packages/source/P/Pygments/Pygments-$pkgver.tar.gz)
-sha256sums=('b437bc0d04dc36f1f5b3592985b3e0a3d0af46b7c39199231706d19a4ee63344')
-
-package_python-pygments() {
-  depends=('python-setuptools')
-
-  cd "$srcdir/Pygments-$pkgver"
-
-  python3 setup.py install --root="$pkgdir" -O1
-
-  # pygmentize is shipped in its own package
-  rm "$pkgdir/usr/bin/pygmentize"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-pygments() {
-  depends=('python2-setuptools')
-  install=python2-pygments.install
-
-  cd "$srcdir/Pygments-$pkgver"
-
-  python2 setup.py install --root="$pkgdir" -O1
-
-  # pygmentize is shipped in its own package
-  rm "$pkgdir/usr/bin/pygmentize"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_pygmentize() {
-  depends=('python-pygments')
-
-  cd "$srcdir/Pygments-$pkgver"
-
-  python3 setup.py install --root="$pkgdir" -O1
-
-  # Remove all files except for usr/bin/pygmentize
-  find "$pkgdir" -type f -not -name pygmentize -delete
-
-  # Drop version dependency from console script
-  sed -i "s/Pygments==$pkgver/Pygments/g" "$pkgdir/usr/bin/pygmentize"
-
-  install -Dm644 external/pygments.bashcomp \
-    "$pkgdir/usr/share/bash-completion/completions/pygmentize"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-pygments/repos/community-any/PKGBUILD (from rev 472228, python-pygments/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-28 07:15:21 UTC (rev 472229)
@@ -0,0 +1,62 @@
+# Maintainer: Evangelos Foutras <evangelos at foutrelis.com>
+# Contributor: Timm Preetz <timm at preetz.us>
+
+pkgname=('python-pygments' 'python2-pygments' 'pygmentize')
+pkgver=2.4.2
+pkgrel=1
+pkgdesc="Python syntax highlighter"
+arch=('any')
+url="http://pygments.org/"
+license=('BSD')
+makedepends=('python-setuptools' 'python2-setuptools')
+options=('!emptydirs')
+source=(https://pypi.org/packages/source/P/Pygments/Pygments-$pkgver.tar.gz)
+sha256sums=('881c4c157e45f30af185c1ffe8d549d48ac9127433f2c380c24b84572ad66297')
+
+package_python-pygments() {
+  depends=('python-setuptools')
+
+  cd "$srcdir/Pygments-$pkgver"
+
+  python3 setup.py install --root="$pkgdir" -O1
+
+  # pygmentize is shipped in its own package
+  rm "$pkgdir/usr/bin/pygmentize"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-pygments() {
+  depends=('python2-setuptools')
+  install=python2-pygments.install
+
+  cd "$srcdir/Pygments-$pkgver"
+
+  python2 setup.py install --root="$pkgdir" -O1
+
+  # pygmentize is shipped in its own package
+  rm "$pkgdir/usr/bin/pygmentize"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_pygmentize() {
+  depends=('python-pygments')
+
+  cd "$srcdir/Pygments-$pkgver"
+
+  python3 setup.py install --root="$pkgdir" -O1
+
+  # Remove all files except for usr/bin/pygmentize
+  find "$pkgdir" -type f -not -name pygmentize -delete
+
+  # Drop version dependency from console script
+  sed -i "s/Pygments==$pkgver/Pygments/g" "$pkgdir/usr/bin/pygmentize"
+
+  install -Dm644 external/pygments.bashcomp \
+    "$pkgdir/usr/share/bash-completion/completions/pygmentize"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: python2-pygments.install
===================================================================
--- python2-pygments.install	2019-05-28 07:15:14 UTC (rev 472228)
+++ python2-pygments.install	2019-05-28 07:15:21 UTC (rev 472229)
@@ -1,7 +0,0 @@
-post_upgrade() {
-  if (($(vercmp $2 2.0.2-2) < 0)); then
-    echo ':: /usr/bin/pygmentize has been moved to the pygmentize package'
-  fi
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-pygments/repos/community-any/python2-pygments.install (from rev 472228, python-pygments/trunk/python2-pygments.install)
===================================================================
--- python2-pygments.install	                        (rev 0)
+++ python2-pygments.install	2019-05-28 07:15:21 UTC (rev 472229)
@@ -0,0 +1,7 @@
+post_upgrade() {
+  if (($(vercmp $2 2.0.2-2) < 0)); then
+    echo ':: /usr/bin/pygmentize has been moved to the pygmentize package'
+  fi
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list